Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.locale
Class LocaleUtilities

    java.lang.Object
      oracle.ifs.utils.locale.LocaleUtilities

    public class LocaleUtilities

extends java.lang.Object

The LocaleUtilities class provides methods to obtain the iFS supported character sets and languages.

(Unpublished)

Method Summary
`static CharacterSet[]` | `getAllCharacterSets()` Returns all the character sets.
`static Language[]` | `getAllLanguages()` Returns all languages.
`static java.util.Collection` | `getAllLocales()` Returns all Locales.
`static Language` | `getBestLanguage(java.lang.String localeStr)` Returns the best Language object match given the locale string, such as en-US, en, de-GR If no match found or locale string is null, it defaults to English.
`static CharacterSet[]` | `getPrimaryCharacterSets()` Returns the primary character sets.
`static Language[]` | `getPrimaryLanguages()` Returns the primary languages.
`static boolean` | `isValidCharacterSet(java.lang.String code)` Determines whether the given character set code is a valid IANA code.
`static boolean` | `isValidLanguage(java.lang.String language)` Determines whether the given language is a valid name using the Oracle naming convention.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAllCharacterSets

    public static CharacterSet[] getAllCharacterSets()

  Description copied from class: `LocaleUtilities`
  Returns all the character sets.

  Returns:
    a CharacterSet array.
  (Published)

### getPrimaryCharacterSets

    public static CharacterSet[] getPrimaryCharacterSets()

  Description copied from class: `LocaleUtilities`
  Returns the primary character sets.

  Returns:
    a CharacterSet array.
  (Published)

### getAllLanguages

    public static Language[] getAllLanguages()

  Description copied from class: `LocaleUtilities`
  Returns all languages.

  Returns:
    a Language array.
  (Published)

### getPrimaryLanguages

    public static Language[] getPrimaryLanguages()

  Description copied from class: `LocaleUtilities`
  Returns the primary languages.

  Returns:
    a Language array.
  (Published)

### getAllLocales

    public static java.util.Collection getAllLocales()

  Description copied from class: `LocaleUtilities`
  Returns all Locales.

  Returns:
    a Collection of Locales.
  (Published)

### isValidLanguage

    public static boolean isValidLanguage(java.lang.String language)

  Description copied from class: `LocaleUtilities`
  Determines whether the given language is a valid name using the Oracle naming convention.

  Parameters:
    `language` - the language name.
  Returns:
    true if `language` is a valid language name.
  (Published)

### isValidCharacterSet

    public static boolean isValidCharacterSet(java.lang.String code)

  Description copied from class: `LocaleUtilities`
  Determines whether the given character set code is a valid IANA code.

  Parameters:
    `code` - the character set code.
  Returns:
    true if `code` is a valid IANA code.
  (Published)

### getBestLanguage

    public static Language getBestLanguage(java.lang.String localeStr)

  Description copied from class: `LocaleUtilities`
  Returns the best Language object match given the locale string, such as en-US, en, de-GR If no match found or locale string is null, it defaults to English. Warning: String lengths should be either exactly 2 or 5 characters. There are no guarantees that this is an accurate match, just a best try. Allow for ISO or Java locale format. (en-US or en_US)

  Parameters:
    `localeStr` - language/country code
  Returns:
    a Language object that fits the best match
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD